Obtener la cotización con sus gastos generales
GET/api/quotation-with-overheads/{quotationId}
Devuelve la cotización con su moneda, su vendedor, su project manager y el árbol de gastos generales (quotationOverheads). El árbol tiene hasta seis niveles de children, cada nivel con su measurementUnit y ordenado por index; la raíz son los gastos sin quotation_overhead_parent_id.
Parámetros de la ruta
Sección titulada «Parámetros de la ruta»quotationIdintegerobligatorioIdentificador de la cotización.
Permiso
Sección titulada «Permiso»QuotationPolicy::view, que permite a cualquier usuario autenticado.
curl \ "https://servererp.allendostmen.app/api/quotation-with-overheads/1" \ -H "Authorization: Bearer $TOKEN" \ -H "Accept: application/json"const response = await fetch( "https://servererp.allendostmen.app/api/quotation-with-overheads/1", { method: "GET", headers: { Authorization: `Bearer ${token}`, Accept: "application/json", }, },);const data = await response.json();use Illuminate\Support\Facades\Http;
$response = Http::withToken($token) ->acceptJson() ->get('https://servererp.allendostmen.app/api/quotation-with-overheads/1');Cotización con gastos generales200
{ "id": 1520, "code": "110012 - INSTALACION_ELECTRICA - ACME_SAC-V1", "version": 1, "igv": 18, "rent": 1.5, "detraction": 12, "name": "Instalación eléctrica", "date": "2026-11-19", "description": "Instalación eléctrica del almacén central", "days_validity": 30, "coin_id": 1, "coin_value": 3.75, "limit_decimals": 4, "customer_id": 8, "customer_contact_id": 14, "seller_id": 5, "project_manager_id": 9, "opportunity_id": 77, "budget_folder_id": 31, "status": "cotizando", "is_global_utility": false, "total_items": 12500, "total_overheads": 1500, "subtotal": 14000, "total_igv": 2520, "total": 16520, "create_user_id": 5, "created_at": "2026-11-19T10:40:15.000000Z", "updated_at": "2026-11-19T10:40:15.000000Z", "deleted_at": null, "coin": { "id": 1, "name": "SOLES", "symbol": "S/" }, "quotation_overheads": [ { "id": 55, "name": "Supervisión", "is_title": false, "cost": 1000, "index": 1, "children": [] } ]}Sin permiso403
{ "message": "This action is unauthorized."}